manipulate(3pm)

NAME
OpaL::manipulate - Perl extension for manipulating files.

SYNOPSIS
  use OpaL::manipulate qw(functions);

No functions or variables are exported automaticly so you have to specify them here.

DESCRIPTION
OpaL::manipulate is a module for manipulating files.

All functions are autoloaded so they will not be loaded into memory if you have not used them before.

FUNCTIONS

perlmodifyadvanced
    It simply applies the script to the file to change its content. You also have to apply a message to tell what you are doing mostly for debugging and if any error occures. The error level tells how critical this action is to the script.

    USAGE:
        "perlmodifyadvanced"("file", "script",
                           "message", errorlevel);

    The errorlevel is optional.

perlmodify
    It simply fixes some stuff in the script string and then calls perlmodifyadvanced.

    USAGE:
        "perlmodify"("file", "script",
                   "message", errorlevel);

    The errorlevel is optional.

perlmodify_insertafter
    This function searches for something (regular expression). It if is found it inserts the text after it. But it will never insert the text twice.

    You also have to apply a message to tell what you are doing mostly for debugging and if any error occures. The error level tells how critical this action is to the script.

    USAGE:
        "perlmodify_insertafter"("file", "find", "text",
                            "message", errorlevel);

    The errorlevel is optional.

AUTHOR
Ola Lundqvist <ola@inguza.com>

REQUIRES
OpaL::action, OpaL::read.

SEE ALSO
OpaL::action

OpaL::read

perl(1)